Index: orxonox/trunk/src/base_entity.h
===================================================================
--- orxonox/trunk/src/base_entity.h	(revision 3449)
+++ orxonox/trunk/src/base_entity.h	(revision 3450)
@@ -1,2 +1,6 @@
+/*! 
+  \file base_entity.h
+  \brief This includes the default values every entity should have.						\
+*/
 
 #ifndef _BASE_ENTITY_H
@@ -5,5 +9,5 @@
 #include "stdincl.h"
 
-
+//! The Base of each entity-Class
 class BaseEntity {
 
Index: orxonox/trunk/src/p_node.cc
===================================================================
--- orxonox/trunk/src/p_node.cc	(revision 3449)
+++ orxonox/trunk/src/p_node.cc	(revision 3450)
@@ -45,4 +45,6 @@
 /**
    \brief constructor with coodinates
+   \param absCoordinate the Absolute coordinate of the Object
+   \param parent The parent-node of this node.
 */
 PNode::PNode (Vector* absCoordinate, PNode* parent )
@@ -111,5 +113,5 @@
 /**
    \brief set relative coordinates
-   \param relative coordinates to its parent
+   \param relCoord relative coordinates to its parent
 
    it is very importand, that you use this function, if you want to update the
@@ -135,6 +137,5 @@
 
 /**
-   \brief get relative coordinates
-   \returns relative coordinates to its parent
+   \param absCoord set absolute coordinate
 
    it is very importand, that you use this function, if you want to update the
@@ -196,5 +197,5 @@
 /**
    \brief set relative direction
-   \param relative direction to its parent
+   \param relDir to its parent
 
    it is very importand, that you use this function, if you want to update the
@@ -221,5 +222,5 @@
 /**
    \brief sets the absolute direction (0,0,1)
-   \param absolute coordinates
+   \param absDir absolute coordinates
 
    it is very importand, that you use this function, if you want to update the
@@ -253,4 +254,5 @@
    yea right... shorter...
 
+   \todo implement this
 */
 void PNode::shiftDir (Quaternion* shift)
@@ -261,5 +263,5 @@
 /**
    \brief adds a child and makes this node to a parent
-   \param child reference
+   \param pNode child reference
 
    use this to add a child to this node.
@@ -273,6 +275,6 @@
 /**
    \brief adds a child and makes this node to a parent
-   \param child reference
-   \param on which changes the child should also change ist state
+   \param pNode child reference
+   \param mode on which changes the child should also change ist state
 
    use this to add a child to this node.
@@ -287,5 +289,6 @@
 
 /**
-   /brief removes a child from the node
+   \brief removes a child from the node
+   \param pNode the child to remove from this pNode.
 */
 void PNode::removeChild (PNode* pNode)
@@ -297,4 +300,5 @@
 /**
    \brief sets the parent of this PNode
+   \param parent the Parent to set
 */
 void PNode::setParent (PNode* parent)
@@ -305,4 +309,5 @@
 /**
    \brief set the mode of this parent manualy
+   \param mode the mode of the bind-type.
 */
 void PNode::setMode (parentingMode mode)
@@ -337,4 +342,5 @@
 /**
    \brief updates the absCoordinate/absDirection
+   \param timeStamp The timestanp used for to look if calculations should be done
 
    this is used to go through the parent-tree to update all the absolute coordinates
@@ -400,6 +406,7 @@
 
 
-/*
+/**
   \brief tick
+  \param dt time to tick
 */
 void PNode::processTick (float dt)
@@ -414,9 +421,13 @@
 }
 
-
+/**
+   \param dt time to tick
+*/
 void PNode::tick (float dt)
 {}
 
-
+/**
+   \brief displays some information about this pNode
+*/
 void PNode::debug()
 {
@@ -428,5 +439,5 @@
 
 
-/*
+/**
   \brief set the name of the node
 
@@ -439,5 +450,5 @@
 
 
-/*
+/**
   \brief gets the name of the node
 */
Index: orxonox/trunk/src/p_node.h
===================================================================
--- orxonox/trunk/src/p_node.h	(revision 3449)
+++ orxonox/trunk/src/p_node.h	(revision 3450)
@@ -26,7 +26,10 @@
 class PNode; /* forward decleration, so that parentEntry has access to PNode */
 
+//! enumeration for the different translation-binding-types
 typedef enum parentingMode {MOVEMENT = 0, ROTATION, ALL};
+//! The default mode of the translation-binding.
 #define DEFAULT_MODE ALL
 
+//! Patent Node is a Engine to calculate the position of an Object in respect to the position of its parent.
 class PNode : public BaseObject {
 
@@ -38,8 +41,8 @@
   void destroy ();
 
-  PNode* parent; //! a pointer to the parent node
-  tList<PNode>* children; //! list of the children
+  PNode* parent;            //!< a pointer to the parent node
+  tList<PNode>* children;   //!< list of the children
 
-  parentingMode mode;
+  parentingMode mode;       //!< the mode of the binding
 
   Vector getRelCoor ();
@@ -76,15 +79,15 @@
   void debug ();
 
-  float timeStamp;   //! this the timeStamp of when the abs{Coordinat, Direction} has been calculated
-  char* objectName;
-  bool bAbsCoorChanged;
-  bool bRelCoorChanged;
-  bool bRelDirChanged;
-  bool bAbsDirChanged;
+  float timeStamp;         //!< this the timeStamp of when the abs{Coordinat, Direction} has been calculated
+  char* objectName;        //!< The name of the Object
+  bool bAbsCoorChanged;    //!< If Absolute Coordinate has changed since last time we checked
+  bool bRelCoorChanged;    //!< If Relative Coordinate has changed since last time we checked
+  bool bAbsDirChanged;     //!< If Absolute Direction has changed since last time we checked
+  bool bRelDirChanged;     //!< If Relative Direction has changed since last time we checked
 
-  Vector relCoordinate;  //! coordinates relative to the parent
-  Vector absCoordinate; //! absolute coordinates in the world ( from (0,0,0) )
-  Quaternion relDirection; //! direction relative to the parent
-  Quaternion absDirection; //! absolute direvtion in the world ( from (0,0,1) )
+  Vector relCoordinate;    //!< coordinates relative to the parent
+  Vector absCoordinate;    //!< absolute coordinates in the world ( from (0,0,0) )
+  Quaternion relDirection; //!< direction relative to the parent
+  Quaternion absDirection; //!< absolute direvtion in the world ( from (0,0,1) )
 
 };
Index: orxonox/trunk/src/player.cc
===================================================================
--- orxonox/trunk/src/player.cc	(revision 3449)
+++ orxonox/trunk/src/player.cc	(revision 3450)
@@ -23,5 +23,8 @@
 using namespace std;
 
-
+/**
+   \brief creates a new Player
+   \param isFree if the player is free
+*/
 Player::Player(bool isFree) : WorldEntity(isFree)
 {
@@ -55,4 +58,7 @@
 }
 
+/**
+   \brief destructs the player
+*/
 Player::~Player ()
 {
@@ -60,4 +66,7 @@
 }
 
+/**
+   \brief effect that occurs after the player is spawned
+*/
 void Player::postSpawn ()
 {
@@ -70,4 +79,8 @@
 }
 
+/**
+   \brief the function called for each passing timeSnap
+   \param time The timespan passed since last update
+*/
 void Player::tick (float time)
 {
@@ -76,16 +89,36 @@
 }
 
+/**
+   \brief if the player is hit, call this function
+   \param weapon hit by this weapon
+   \param loc ??
+*/
 void Player::hit (WorldEntity* weapon, Vector loc)
 {
 }
 
+/**
+   \brief action that happens when the player is destroyed.
+*/
 void Player::destroy ()
 {
 }
 
+/** 
+    \brief Collision with another Entity has this effect
+    \param other the other colider
+    \param ownhitflags ??
+    \param otherhitflags ??
+*/
 void Player::collide (WorldEntity* other, Uint32 ownhitflags, Uint32 otherhitflags)
 {
 }
 
+/**
+   \brief The connection to the command node
+   \param cmd the Command unit from witch to map
+
+   here the commands are mapped to the players movement/weaponary
+*/
 void Player::command (Command* cmd)
 {
@@ -98,4 +131,7 @@
 }
 
+/**
+   \brief draws the player after transforming him.
+*/
 void Player::draw ()
 { 
@@ -119,15 +155,22 @@
 
 /*PN
-void Player::getLookat(Location* locbuf)
-{
+  void Player::getLookat(Location* locbuf)
+  {
   *locbuf = *getLocation();
   //locbuf->dist += 5.0;
-}
-*/
-
+  }
+*/
+
+/**
+   \brief the action occuring if the player left the game
+*/
 void Player::leftWorld ()
 {
 }
 
+/**
+   \brief action if player moves
+   \param time the timeslice since the last frame
+*/
 void Player::move (float time)
 {
Index: orxonox/trunk/src/player.h
===================================================================
--- orxonox/trunk/src/player.h	(revision 3449)
+++ orxonox/trunk/src/player.h	(revision 3450)
@@ -33,10 +33,15 @@
   
  private:
-  bool bUp, bDown, bLeft, bRight, bAscend, bDescend;
-  bool bFire;
-  Vector velocity;
-  float travelSpeed;
-  float acceleration;
-  GLuint objectList;
+  bool bUp;              //!< up button pressed.
+  bool bDown;            //!< down button pressed.
+  bool bLeft;            //!< left button pressed.
+  bool bRight;           //!< right button pressed.
+  bool bAscend;          //!< ascend button pressed.
+  bool bDescend;         //!< descend button presses.
+  bool bFire;            //!< fire button pressed.
+
+  Vector velocity;       //!< the velocity of the player.
+  float travelSpeed;     //!< the current speed of the player (to make soft movement)
+  float acceleration;    //!< the acceleration of the player.
   
   void move(float time);
Index: orxonox/trunk/src/skysphere.cc
===================================================================
--- orxonox/trunk/src/skysphere.cc	(revision 3449)
+++ orxonox/trunk/src/skysphere.cc	(revision 3450)
@@ -95,7 +95,5 @@
 /**
    \brief updates the position of the Skysphere
-   \param x the x-coordinate of the Center of the Sphere
-   \param y the y-coordinate of the Center of the Sphere
-   \param z the z-coordinate of the Center of the Sphere
+   \param sphereCenter The coordinate of the Center of the Sphere
    
    This is normally done in the update-phase of world, so the Skysphere is always centered at the Camera.
